## com.fusioncharts.sampledata
Class ExportRenderData

    java.lang.Object
      com.fusioncharts.sampledata.ExportRenderData

    public class ExportRenderData

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `downloadUrl`
`protected java.lang.String` `filename`
`protected java.lang.String` `filename2`
`protected java.lang.String` `filename3`
`protected java.lang.String` `height`
`protected java.lang.String` `saveUrl`
`protected java.lang.String` `uniqueId`
`protected java.lang.String` `width`
`protected java.lang.String` `xml`

Constructor Summary
`ExportRenderData()`

Method Summary
`java.lang.String` `getChartId()`
`java.lang.String` `getDownloadUrl()`
`java.lang.String` `getFilename()`
`java.lang.String` `getFilename2()`
`java.lang.String` `getFilename3()`
`java.lang.String` `getHeight()`
`java.lang.String` `getSaveUrl()`
`java.lang.String` `getUniqueId()`
`java.lang.String` `getWidth()`
`java.lang.String` `getXml()`
`void` `setChartId(java.lang.String chartId)`
`void` `setDownloadUrl(java.lang.String downloadUrl)`
`void` `setFilename(java.lang.String filename)`
`void` `setFilename2(java.lang.String filename2)`
`void` `setFilename3(java.lang.String filename3)`
`void` `setHeight(java.lang.String height)`
`void` `setSaveUrl(java.lang.String saveUrl)`
`void` `setUniqueId(java.lang.String uniqueId)`
`void` `setWidth(java.lang.String width)`
`void` `setXml(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xml

    protected java.lang.String xml

### downloadUrl

    protected java.lang.String downloadUrl

### saveUrl

    protected java.lang.String saveUrl

### chartId

    protected java.lang.String chartId

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

### filename2

    protected java.lang.String filename2

### filename3

    protected java.lang.String filename3

### uniqueId

    protected java.lang.String uniqueId

Constructor Detail

### ExportRenderData

    public ExportRenderData()

Method Detail

### getChartId

    public java.lang.String getChartId()

### getDownloadUrl

    public java.lang.String getDownloadUrl()

  Returns:
    the downloadUrl

### getFilename

    public java.lang.String getFilename()

  Returns:
    the filename

### getFilename2

    public java.lang.String getFilename2()

  Returns:
    the filename2

### getFilename3

    public java.lang.String getFilename3()

  Returns:
    the filename3

### getHeight

    public java.lang.String getHeight()

### getSaveUrl

    public java.lang.String getSaveUrl()

  Returns:
    the saveUrl

### getUniqueId

    public java.lang.String getUniqueId()

  Returns:
    the uniqueId

### getWidth

    public java.lang.String getWidth()

### getXml

    public java.lang.String getXml()

### setChartId

    public void setChartId(java.lang.String chartId)

### setDownloadUrl

    public void setDownloadUrl(java.lang.String downloadUrl)

  Parameters:
    `downloadUrl` - the downloadUrl to set

### setFilename

    public void setFilename(java.lang.String filename)

  Parameters:
    `filename` - the filename to set

### setFilename2

    public void setFilename2(java.lang.String filename2)

  Parameters:
    `filename2` - the filename2 to set

### setFilename3

    public void setFilename3(java.lang.String filename3)

  Parameters:
    `filename3` - the filename3 to set

### setHeight

    public void setHeight(java.lang.String height)

### setSaveUrl

    public void setSaveUrl(java.lang.String saveUrl)

  Parameters:
    `saveUrl` - the saveUrl to set

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Parameters:
    `uniqueId` - the uniqueId to set

### setWidth

    public void setWidth(java.lang.String width)

### setXml

    public void setXml(java.lang.String xml)